Bug 184229 - guile 1.6.7-2 distributed slibcat is broken
guile 1.6.7-2 distributed slibcat is broken
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: slib (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 10:39 EST by Derek Atkins
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 09:21:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2006-03-07 10:39:13 EST
Description of problem:

The slibcat file distributed by guile-1.6.7-2 is broken.  It still points to
/usr/share/umb-scheme/slib even though all the files are in /usr/share/slib. 
This causes some problems.  For example:

/usr/share/guile/1.6/ice-9/slib.scm:205:8: In procedure open-file in expression
(if (and errinfo #) (apply throw errinfo)):
/usr/share/guile/1.6/ice-9/slib.scm:205:8: No such file or directory:
"/usr/share/umb-scheme/slib/printf"

Version-Release number of selected component (if applicable):

guile-1.6.7-2
slib-3a1-4.fc4

How reproducible:

completely reproducible.  my test right now:   pull down the gnucash 1.9 source
tree, compile it on FC4, and then run "make check"

Steps to Reproduce:
1.
2.
3.
  
Actual results:

The failure above, can't find /usr/share/umb-scheme/slib/printf.

Expected results:

The slibcat should be correct.

Additional info:

[warlord@cliosrv build]$ rpm -qV guile
........C   /usr/lib/libguile-ltdl.so.1.0.0
........C   /usr/lib/libguile-srfi-srfi-13-14-v-1.so.1.0.0
........C   /usr/lib/libguile-srfi-srfi-4-v-1.so.1.0.0
........C   /usr/lib/libguile.so.12.3.0
........C   /usr/lib/libguilereadline-v-12.so.12.3.0
........C   /usr/lib/libqthreads.so.12.3.0
[warlord@cliosrv build]$ rpm -qf /usr/share/guile/slib
guile-1.6.7-2
[warlord@cliosrv build]$ rpm -qf /usr/share/guile/slibcat
guile-1.6.7-2
[warlord@cliosrv build]$ ls -l /usr/share/guile/slib
lrwxrwxrwx  1 root root 16 Aug 31  2005 /usr/share/guile/slib -> ../../share/slib
[warlord@cliosrv build]$ grep printf /usr/share/guile/slibcat
 (printf . "/usr/share/umb-scheme/slib/printf")
 (stdio aggregate scanf printf stdio-ports)
Comment 1 Fedora Update System 2006-03-13 11:40:12 EST
From User-Agent: XML-RPC

slib-3a1-5.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Derek Atkins 2006-03-13 11:43:54 EST
Okay, once it hits the yum repository I'll test it..  But I'm not sure how this
change is going to work with an updated slib package considering RPM thinks that
the slibcat file is owned by the guile package...   But I'll test it once yum
sees it.

Note You need to log in before you can comment on or make changes to this bug.